var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { DateTime } from 'luxon';
import { BaseModel, column } from '@adonisjs/lucid/orm';
export default class ScammerGuard extends BaseModel {
    static table = 'scammer_guards';
}
__decorate([
    column({ isPrimary: true }),
    __metadata("design:type", Number)
], ScammerGuard.prototype, "id", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "phone", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "name", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "reason", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "action", void 0);
__decorate([
    column(),
    __metadata("design:type", Boolean)
], ScammerGuard.prototype, "isActive", void 0);
__decorate([
    column(),
    __metadata("design:type", Number)
], ScammerGuard.prototype, "addedBy", void 0);
__decorate([
    column(),
    __metadata("design:type", Number)
], ScammerGuard.prototype, "hitCount", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "lastSeenAt", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "expiresAt", void 0);
__decorate([
    column(),
    __metadata("design:type", Number)
], ScammerGuard.prototype, "threshold", void 0);
__decorate([
    column(),
    __metadata("design:type", String)
], ScammerGuard.prototype, "notes", void 0);
__decorate([
    column.dateTime({ autoCreate: true }),
    __metadata("design:type", DateTime)
], ScammerGuard.prototype, "createdAt", void 0);
__decorate([
    column.dateTime({ autoCreate: true, autoUpdate: true }),
    __metadata("design:type", DateTime)
], ScammerGuard.prototype, "updatedAt", void 0);
